Query parameters
-
Filter by a comma separated list of UUIDs.
-
Exact filter for type of report to return
-
list of adviser uuids to filter reports created by these accounts
-
Field to sort by. Valid fields are [updated_at, created_at, name, report_type_id]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/report
curl \
--request GET 'https://api.plannrcrm.com/api/v1/report' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": [
{
"uuid": "30808238-3726-4473-9bb4-241f202c18ab",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"last_interaction_at": "2024-01-24T10:30:00Z",
"last_login_at": "2024-01-24T09:15:00Z",
"name": "rmar-report-2026-08-07T15:29:26+01:00",
"created_by": {
"uuid": "c9e608aa-8eac-403f-8b3a-adb20d787894",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "b0e957af-03d9-4072-9cbe-9b59d7d5e8da",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "68760323-f4da-4f8f-a151-1b3c68c631dd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "68760323-f4da-4f8f-a151-1b3c68c631dd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "56f4ec36-7b7f-4ef4-8cd3-4b19f373ec13",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-08-07T14:39:31+01:00",
"end_date": "2026-08-07T15:07:31+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "eb0f54c4-e036-4d7c-8773-1d49e7dd5697",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00"
},
"tags": {
"uuid": "765192aa-418f-4802-a430-62513b927bcd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-08-07T15:29:26+01:00",
"next_review_date": "2026-08-07T15:29:26+01:00",
"previous_review_date": "2026-08-07T15:29:26+01:00",
"anniversary_review_date": "2026-08-07T15:29:26+01:00",
"terms_of_business_at": "2026-08-07T15:29:26+01:00",
"client_agreement_at": "2026-08-07T15:29:26+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "2d538014-18fc-4a75-85e0-9b9b4b87f00c",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:31+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "812daeb0-c99e-4443-a1d2-96c81c14328e",
"login_access_level": "write",
"current_life_stage_uuid": "a16ce1f7-248d-4afe-b85e-7f156be71ef4"
},
"circles": {
"uuid": "2d538014-18fc-4a75-85e0-9b9b4b87f00c",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:31+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "812daeb0-c99e-4443-a1d2-96c81c14328e",
"login_access_level": "write",
"current_life_stage_uuid": "a16ce1f7-248d-4afe-b85e-7f156be71ef4"
},
"ownership_percentage": 100,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:26",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:26+01:00",
"out_of_office_until": "2026-08-07T15:29:26+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "2244294c-23fd-429a-b952-64a6fc469ad4",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"report_type_id": "rmar",
"status": "complete",
"progress": 100,
"files": [
{
"uuid": "6d48173f-98f7-4663-9470-fe04a48b054e",
"created_at": "2026-08-07T15:29:26+01:00",
"original_created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"uploaded_at": "2026-08-07T15:29:26+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-08-07T15:29:26+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/0ea24822-9299-43f3-844d-37f0608d2437/download",
"folder_name": "folder 2",
"folder": {
"uuid": "bde45d1d-e84a-43e3-9fd9-b3c41ba5ce4d",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "04c42d35-17b9-4f66-ab63-50aef2bfda50"
},
"firm": {
"uuid": "b0e957af-03d9-4072-9cbe-9b59d7d5e8da",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "15dfe039-893e-4ddc-b0fd-8309bd154547",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "765192aa-418f-4802-a430-62513b927bcd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
}
],
"folder": {
"uuid": "27fae5f8-bfa8-4491-bc31-f9f1b064d330",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "3c7f5b6c-422a-4c27-9090-753a10ad1bb9",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "bde45d1d-e84a-43e3-9fd9-b3c41ba5ce4d",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "065426b5-c64d-4782-ba3b-e4b2747e1dd4",
"created_at": "2026-08-07T15:29:31+01:00",
"original_created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"uploaded_at": "2026-08-07T15:29:31+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-08-07T15:29:31+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/ab808746-1eeb-436a-b76d-ff2b4fd7b19b/download",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "bde45d1d-e84a-43e3-9fd9-b3c41ba5ce4d",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "bde45d1d-e84a-43e3-9fd9-b3c41ba5ce4d",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "bde45d1d-e84a-43e3-9fd9-b3c41ba5ce4d",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
}
]
}